package com.lightinit.hsdatashow.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author WangYao
 * @date 2018/6/1 15:30
 * @description 字段描述器
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface FieldDescriber {

    /**
     * 字段的描述
     */
    String descripton() default "";
}
