-- 新增加的表
CREATE TABLE `district_county` (
   `id` BIGINT(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
   `region_id` BIGINT(20) DEFAULT NULL COMMENT '地区ID',
   `name` VARCHAR(50) DEFAULT NULL COMMENT '区县',
   `value` DECIMAL(18,5) DEFAULT NULL COMMENT '数值',
   `photo` VARCHAR(255) DEFAULT NULL COMMENT '照片',
   `icon` VARCHAR(255) DEFAULT NULL COMMENT '图标',
   `latitude` VARCHAR(255) DEFAULT NULL COMMENT '纬度',
   `longitude` VARCHAR(255) DEFAULT NULL COMMENT '经度',
   `created_at` DATETIME DEFAULT NULL COMMENT '创建时间',
   `created_by` BIGINT(20) DEFAULT NULL COMMENT '创建人',
   `deleted_at` DATETIME DEFAULT NULL COMMENT '删除时间',
   `deleted_by` BIGINT(20) DEFAULT NULL COMMENT '删除人',
   PRIMARY KEY (`id`)
 ) COMMENT='衡水各区县'

-- 修改的表

alter table gdp_occupation_ratio add data_year bigint(20);