CREATE TABLE `traffic_monitor` (
  `id` BIGINT(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `region_id` BIGINT(20) DEFAULT NULL COMMENT '地区ID',
  `data_year` INT(11) DEFAULT NULL COMMENT '年份',
  `traffice_name` VARCHAR(225) DEFAULT NULL COMMENT '交通工具名称',
  `traffice_id` VARCHAR(225) DEFAULT NULL COMMENT '车牌号',
  `type` VARCHAR(11) DEFAULT NULL COMMENT '交通工具类型',
  `current_time` DATETIME DEFAULT NULL COMMENT '当前日期时间',
  `road_condition` VARCHAR(11) DEFAULT NULL COMMENT '路况',
  `total` DECIMAL(18,5) DEFAULT NULL COMMENT '载客数量',
  `growth` DECIMAL(18,5) DEFAULT NULL COMMENT '同比数据值',
  `photo` VARCHAR(255) DEFAULT NULL COMMENT '照片',
  `icon` VARCHAR(255) DEFAULT NULL COMMENT '图标',
  `address` VARCHAR(11) DEFAULT NULL COMMENT '事故地址',
  `latitude` VARCHAR(255) DEFAULT NULL COMMENT '当前纬度',
  `longitude` VARCHAR(255) DEFAULT NULL COMMENT '当前经度',
  `created_at` DATETIME DEFAULT NULL COMMENT '创建时间',
  `created_by` BIGINT(20) DEFAULT NULL COMMENT '创建人',
  `deleted_at` DATETIME DEFAULT NULL COMMENT '删除时间',
  `deleted_by` BIGINT(20) DEFAULT NULL COMMENT '删除人',
  PRIMARY KEY (`id`)
) ENGINE=INNODB DEFAULT CHARSET=utf8 COMMENT='交通运行'