<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<ul class="nav nav-menu metismenu" id="side-menu" >
    <li class="nav-header">
        <img alt="image" src="<%=resourcePath%>/images/logo.png" />
    </li>
    <li>
        <a href="<%=basePath%>/admin/home/"><i class="fa fa-home"></i> <span>首页</span></a>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-cogs"></i> <span class="nav-label">态势分析</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="<%=basePath%>/admin/cockpit/index.htm">驾驶舱</a></li>
            <li><a href="<%=basePath%>/admin/home/">综合评价</a></li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-folder-open-o"></i> <span class="nav-label">民生机构</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="<%=basePath%>/admin/education/index.htm">教育机构</a></li>
            <li><a href="<%=basePath%>/admin/education/medicalIndex.htm">医疗机构</a></li>
            <li><a href="<%=basePath%>/admin/education/businessIndex.htm">商业综合</a></li>
            <li><a href="<%=basePath%>/admin/education/governmentIndex.htm">政府机构</a></li>
            <li><a href="<%=basePath%>/admin/education/trafficIndex.htm">交通枢纽</a></li>
            <li><a href="<%=basePath%>/admin/education/trafficServiceIndex.htm">交通服务</a></li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-cloud-upload"></i> <span class="nav-label">城市资产</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="<%=basePath%>/admin/GarbageCan/index.htm">环卫设施</a></li>
            <li><a href="<%=basePath%>/admin/facilities/monitorIndex.htm">监控设施</a></li>
            <li><a href="<%=basePath%>/admin/facilities/publishIndex.htm">公共设施</a></li>
            <li><a href="<%=basePath%>/admin/StreetLamp/index.htm">路政设施</a></li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-balance-scale"></i> <span class="nav-label">运行分析</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="javascript:void(0);">交通运行</a></li>
            <li><a href="<%=basePath%>/admin/waterThing/index.htm">水务运行</a></li>
            <li><a href="<%=basePath%>/admin/energy/index.htm">能源运行</a></li>
            <li><a href="<%=basePath%>/admin/commu/index.htm">通信运行</a></li>
            <li><a href="javascript:void(0);">在建工程</a></li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-connectdevelop"></i> <span class="nav-label">城市发展</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="<%=basePath%>/admin/peopleGrowth/index.htm">人口发展</a></li>
            <li><a href="<%=basePath%>/admin/publishService/index.htm">公共服务</a></li>
            <li><a href="<%=basePath%>/admin/TourismCulture/index.htm">文化旅游</a></li>
            <li><a href="<%=basePath%>/admin/EconomicDevelopment/index.htm">经济发展</a></li>
            <li><a href="<%=basePath%>/admin/LivelihoodImprove/index.htm">民生改善</a></li>
            <li><a href="<%=basePath%>/admin/progress/index.htm">社会进步</a></li>
            <li><a href="<%=basePath%>/admin/EcologicalCivilization/index.htm">生态文明</a></li>
            <li><a href="<%=basePath%>/admin/innovate/index.htm">科技创新</a></li>
            <li><a href="<%=basePath%>/admin/publish/index.htm">公众评价</a></li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-bar-chart"></i> <span class="nav-label">公共安全</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="<%=basePath%>/admin/produceSecurity/index.htm">生产安全</a></li>
            <li><a href="<%=basePath%>/admin/societySecurity/index.htm">社会治安</a></li>
            <li><a href="<%=basePath%>/admin/trafficSecurity/index.htm">交通安全</a></li>
            <li><a href="<%=basePath%>/admin/livingSecurity/index.htm">生活安全</a></li>
        </ul>
    </li>
    <li>
        <a href="javascript:void(0);"><i class="fa fa-address-card-o"></i> <span class="nav-label">生态环境</span><span class="fa arrow"></span></a>
        <ul class="nav nav-menu nav-second-level collapse">
            <li><a href="<%=basePath%>/admin/atmosphere/index.htm">空气质量</a></li>
            <li><a href="<%=basePath%>/admin/atmosphere/airquality.htm">空气指数</a></li>
            <li><a href="<%=basePath%>/admin/garbage/index.htm">垃圾处理</a></li>
            <li><a href="<%=basePath%>/admin/waterQuality/index.htm">水质达标</a></li>
            <li><a href="<%=basePath%>/admin/green/index.htm">绿化水平</a></li>
            <li><a href="<%=basePath%>/admin/countryside/index.htm">农村环境</a></li>
            <li><a href="<%=basePath%>/admin/solidWaste/index.htm">固废污染</a></li>
            <li><a href="<%=basePath%>/admin/noise/index.htm">噪声污染</a></li>
        </ul>
    </li>
</ul>