<%@ page import="com.lightinit.hsdatashow.dictionary.DicTrafficMonitorType" %>
<%@ page import="com.lightinit.hsdatashow.model.admin.DicOrganizationType" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../common/admin/head.jsp"></jsp:include>
    <link  rel="stylesheet" type="text/css" href="<%=basePath%>/resource/css/admin/home/index.css">
    <style type="text/css">
        #allmap {width: 100%;height: 100%;overflow: hidden;margin:0;font-family:"微软雅黑";}
    </style>
    <script type="text/javascript" src="http://api.map.baidu.com/api?v=2.0&ak=RleRpI1DQegNo17XGsVvUUS1e3oiubUG"></script>
</head>
<body>
<jsp:include page="../../../common/admin/body_pre.jsp"></jsp:include>
<div class="row hidden-print">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title">
                <h2>交通运行</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" >运行分析</a>
                    </li>
                    <li class="active">
                        <strong>交通运行</strong>
                    </li>
                </ol>
            </div>
        </div>
    </div>
</div>
<jsp:include page="../../../common/admin/search_pre.jsp"></jsp:include>

<form id="formSearch" action="<%=basePath%>/admin/data_register_api/list.action" method="get" class="form-inline">
    <div class="form-group">
        <label for="searchName">交通运行名称</label>
        <input type="text" id="searchName" name="searchName" class="form-control" />
    </div>
    <div class="form-group">
        <button id="btnSearch" type="button" class="btn btn-sm btn-primary"><i class="fa fa-search"></i>查询</button>
    </div>
</form>

<jsp:include page="../../../common/admin/search_post.jsp"></jsp:include>
<div class="row hidden-print">
    <div class="col-lg-12 col-md-12">
        <div class="col-lg-11 col-md-11 ibox-content-noline">
            <div id="allmap" style="width: 100%;height: 655px;"></div>
            <input type="hidden" value=0 id="isFalg">
        </div>
        <div class="col-lg-1 col-md-1 ibox-content-noline">
            <div style="height: 655px">
                <div class="col-lg-12 col-md-12">
                    <a title="<%=DicTrafficMonitorType.LINE%>" onclick="changeByFalg('<%=DicTrafficMonitorType.LINE%>')">
                        <img id="gjxl" src="<%=basePath%>/resource/images/trafficMonitor/gjxl.png">
                        <img id="nogjxl" src="<%=basePath%>/resource/images/trafficMonitor/no_gjxl.png" style="display: none">
                    </a>
                </div>
                <div class="col-lg-12 col-md-12">
                    <a title="<%=DicTrafficMonitorType.BUS%>" onclick="changeByFalg('<%=DicTrafficMonitorType.BUS%>')">
                        <img id="gj" src="<%=basePath%>/resource/images/trafficMonitor/gj.png">
                        <img id="nogj" src="<%=basePath%>/resource/images/trafficMonitor/no_gj.png" style="display: none">
                    </a>
                </div>
                <div class="col-lg-12 col-md-12">
                    <a title="<%=DicTrafficMonitorType.BIKE%>" onclick="changeByFalg('<%=DicTrafficMonitorType.BIKE%>')">
                        <img id="zic" src="<%=basePath%>/resource/images/trafficMonitor/zxc.png">
                        <img id="nozic" src="<%=basePath%>/resource/images/trafficMonitor/no_zxc.png" style="display: none">
                    </a>
                </div>
                <div class="col-lg-12 col-md-12">
                    <a title="<%=DicTrafficMonitorType.TAXI%>" onclick="changeByFalg('<%=DicTrafficMonitorType.TAXI%>')">
                        <img id="cz" src="<%=basePath%>/resource/images/trafficMonitor/cz.png">
                        <img id="nocz" src="<%=basePath%>/resource/images/trafficMonitor/nocz.png" style="display: none">
                    </a>
                </div>
            </div>
        </div>
    </div>
    <div class="col-lg-12 col-md-12 ">
        <div class="col-lg-12 col-md-12 ibox-content-noline">
            <div style="width: 100%;height: 220px;">
                <table  class="table table-condensed table-hover">
                    <thead>
                    <tr>
                        <th>
                            交通运行
                        </th>
                        <th>
                            数量
                        </th>
                    </tr>
                    </thead>
                    <tbody id="tableList">
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <jsp:include page="../../../common/admin/body_post.jsp"></jsp:include>
    <script type="text/javascript">
        var falg1 = 0 ;
        var falg2 = 0 ;
        var falg3 = 0 ;
        var falg4 = 0 ;

        function changeByFalg(name){
            if (name=='<%=DicTrafficMonitorType.LINE%>'){
                if (falg1==0){
                    falg1=1 ;
                    $("#gjxl").hide() ;
                    $("#nogjxl").show() ;
                }else {
                    falg1=0 ;
                    $("#gjxl").show() ;
                    $("#nogjxl").hide() ;
                }
            }
            if (name=='<%=DicTrafficMonitorType.BUS%>'){
                if (falg2==0){
                    falg2=1 ;
                    $("#gj").hide() ;
                    $("#nogj").show() ;
                }else {
                    falg2=0 ;
                    $("#gj").show() ;
                    $("#nogj").hide() ;
                }
            }
            if (name=='<%=DicTrafficMonitorType.BIKE%>'){
                if (falg3==0){
                    falg3=1 ;
                    $("#zic").hide() ;
                    $("#nozic").show() ;
                }else {
                    falg3=0 ;
                    $("#zic").show() ;
                    $("#nozic").hide() ;
                }
            }
            if (name=='<%=DicTrafficMonitorType.TAXI%>'){
                if (falg4==0){
                    falg4=1 ;
                    $("#cz").hide() ;
                    $("#nocz").show() ;
                }else {
                    falg4=0 ;
                    $("#cz").show() ;
                    $("#nocz").hide() ;
                }
            }
            changeByName();
        }

        changeByName(null)
        function changeByName() {
            var count1 = 0 ;
            var count2= 0 ;
            var count3 = 0 ;
            var count4 = 0 ;
            // 百度地图API功能
            var map = new BMap.Map("allmap");
            $.ajax({
                url: "<%=basePath%>/resource/json/mapStyle.json",
                dataType: "json",
                success: function (data) {
                    map.setMapStyle({
                        styleJson: data
                    });
                }
            })
            var point = new BMap.Point(115.675402, 37.745191);
            map.centerAndZoom(point, 15);

            $.post("<%=basePath%>/admin/trafficmonitor/getTrafficmonitor.action", {
                categoryName: '<%=DicOrganizationType.BUSRUN%>',
                name:$("#searchName").val()
            }, function (datas) {
                $("#tableList").empty() ;
                if (datas.length > 0) {
                    for (var i = 0; i < datas.length; i++) {
                        (function (x) {
                            if (datas[i].orgType == '<%=DicTrafficMonitorType.LINE%>'&&falg1==0) {
                                count1++ ;
                                var sContent =
                                    "<h4 style='margin:0 0 5px 0;padding:0.2em 0'>" + datas[i].orgName + "</h4>" +
                                    // "<img style='float:right;margin:4px' id='imgDemo' src='../img/tianAnMen.jpg' width='139' height='104' title='"+datas[i].orgName+"'/>" +
                                    "<p style='margin:0;line-height:1.5;font-size:13px;text-indent:2em'>电话：" + datas[i].photo + "</p>" +
                                    "</div>";
                                var pt = new BMap.Point(datas[i].longitude, datas[i].latitude);
                                var myIcon = new BMap.Icon("<%=basePath%>/resource/images/trafficMonitor/gjxl.png", new BMap.Size(40, 40));
                                var marker = new BMap.Marker(pt, {icon: myIcon});  // 创建标注
                                var infoWindow = new BMap.InfoWindow(sContent);
                                map.centerAndZoom(point, 15);
                                marker.addEventListener("click", function () {
                                    this.openInfoWindow(infoWindow);
                                    //图片加载完毕重绘infowindow
                                    // document.getElementById('imgDemo').onload = function (){
                                    //     infoWindow.redraw();   //防止在网速较慢，图片未加载时，生成的信息框高度比图片的总高度小，导致图片部分被隐藏
                                    // }
                                });
                                map.addOverlay(marker);
                            }
                            if (datas[i].orgType == '<%=DicTrafficMonitorType.BUS%>'&&falg2==0) {
                                count2++ ;
                                var sContent =
                                    "<h4 style='margin:0 0 5px 0;padding:0.2em 0'>" + datas[i].orgName + "</h4>" +
                                    // "<img style='float:right;margin:4px' id='imgDemo' src='../img/tianAnMen.jpg' width='139' height='104' title='"+datas[i].orgName+"'/>" +
                                    "<p style='margin:0;line-height:1.5;font-size:13px;text-indent:2em'>电话：" + datas[i].photo + "</p>" +
                                    "</div>";
                                var pt = new BMap.Point(datas[i].longitude, datas[i].latitude);
                                var myIcon = new BMap.Icon("<%=basePath%>/resource/images/trafficMonitor/gj.png", new BMap.Size(40, 40));
                                var marker = new BMap.Marker(pt, {icon: myIcon});  // 创建标注
                                var infoWindow = new BMap.InfoWindow(sContent);
                                map.centerAndZoom(point, 15);
                                marker.addEventListener("click", function () {
                                    this.openInfoWindow(infoWindow);
                                    //图片加载完毕重绘infowindow
                                    // document.getElementById('imgDemo').onload = function (){
                                    //     infoWindow.redraw();   //防止在网速较慢，图片未加载时，生成的信息框高度比图片的总高度小，导致图片部分被隐藏
                                    // }
                                });
                                map.addOverlay(marker);
                            }

                            if (datas[i].orgType == '<%=DicTrafficMonitorType.BIKE%>'&&falg3==0) {
                                count3++ ;
                                var sContent =
                                    "<h4 style='margin:0 0 5px 0;padding:0.2em 0'>" + datas[i].orgName + "</h4>" +
                                    // "<img style='float:right;margin:4px' id='imgDemo' src='../img/tianAnMen.jpg' width='139' height='104' title='"+datas[i].orgName+"'/>" +
                                    "<p style='margin:0;line-height:1.5;font-size:13px;text-indent:2em'>电话：" + datas[i].photo + "</p>" +
                                    "</div>";
                                var pt = new BMap.Point(datas[i].longitude, datas[i].latitude);
                                var myIcon = new BMap.Icon("<%=basePath%>/resource/images/trafficMonitor/zxc.png", new BMap.Size(40, 40));
                                var marker = new BMap.Marker(pt, {icon: myIcon});  // 创建标注
                                var infoWindow = new BMap.InfoWindow(sContent);
                                map.centerAndZoom(point, 15);
                                map.addOverlay(marker);
                                marker.addEventListener("click", function () {
                                    this.openInfoWindow(infoWindow);
                                    //图片加载完毕重绘infowindow
                                    // document.getElementById('imgDemo').onload = function (){
                                    //     infoWindow.redraw();   //防止在网速较慢，图片未加载时，生成的信息框高度比图片的总高度小，导致图片部分被隐藏
                                    // }
                                });
                            }
                            if (datas[i].orgType == '<%=DicTrafficMonitorType.TAXI              %>'&&falg4==0) {
                                count4++ ;
                                var sContent =
                                    "<h4 style='margin:0 0 5px 0;padding:0.2em 0'>" + datas[i].orgName + "</h4>" +
                                    // "<img style='float:right;margin:4px' id='imgDemo' src='../img/tianAnMen.jpg' width='139' height='104' title='"+datas[i].orgName+"'/>" +
                                    "<p style='margin:0;line-height:1.5;font-size:13px;text-indent:2em'>电话：" + datas[i].photo + "</p>" +
                                    "</div>";
                                var pt = new BMap.Point(datas[i].longitude, datas[i].latitude);
                                var myIcon = new BMap.Icon("<%=basePath%>/resource/images/trafficMonitor/cz.png", new BMap.Size(40, 40));
                                var marker = new BMap.Marker(pt, {icon: myIcon});  // 创建标注
                                var infoWindow = new BMap.InfoWindow(sContent);
                                map.centerAndZoom(point, 15);
                                map.addOverlay(marker);
                                marker.addEventListener("click", function () {
                                    this.openInfoWindow(infoWindow);
                                    //图片加载完毕重绘infowindow
                                    // document.getElementById('imgDemo').onload = function (){
                                    //     infoWindow.redraw();   //防止在网速较慢，图片未加载时，生成的信息框高度比图片的总高度小，导致图片部分被隐藏
                                    // }
                                });
                            }
                        })(i);
                    }
                }
                var html1 = '<tr>' +
                    '<th><%=DicTrafficMonitorType.LINE%></th>' +
                    '<th>'+count1+'</th>' +
                    '</tr>' ;
                $("#tableList").append(html1) ;
                var html2 = '<tr>' +
                    '<th><%=DicTrafficMonitorType.BUS%></th>' +
                    '<th>'+count2+'</th>' +
                    '</tr>' ;
                $("#tableList").append(html2) ;
                var html3= '<tr>' +
                    '<th><%=DicTrafficMonitorType.BIKE%></th>' +
                    '<th>'+count3+'</th>' +
                    '</tr>' ;
                $("#tableList").append(html3) ;
                var html4 = '<tr>' +
                    '<th><%=DicTrafficMonitorType.TAXI%></th>' +
                    '<th>'+count4+'</th>' +
                    '</tr>' ;
                $("#tableList").append(html4) ;
            }, "json")
        }
        $("#btnSearch").click(function () {
            changeByName();
        });

    </script>
</body>
</html>