<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../../../common/newDark/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../../../../common/newDark/body_header.jsp">
    <jsp:param name="title" value="防汛抗旱概况"/>
</jsp:include>

<div class="layout">
    <div class="container-fluid">
        <div class="row clearfix" style="background-image: url(<%=basePath%>/resource/images/water/bg-water1.png);background-repeat: no-repeat;background-size:100% 100%;">
            <div class="col-md-12" style="margin: 20px 0;">
                <div class="col-md-4">
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang" onclick="fntoshuiqing()">
                            <div class="col-md-4 yuanjiao">超汛预警</div>
                            <div class="ibox shortcut">
                                <div class="ibox shortcut">
                                    <div id="divChart1" style="width: 100%;height: 400px;"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang" onclick="fntohanqing()">
                            <div class="col-md-4 yuanjiao">全市可用水总量</div>
                            <div class="ibox shortcut">
                                <div id="divChart2" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-4 yuanjiao">全市蓄水总量</div>
                            <div class="ibox shortcut">
                                <div id="divChart3" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-4 yuanjiao">全市监测站总数</div>
                            <div class="ibox shortcut">
                                <div id="divChart4" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang" onclick="fntogongqing()">
                            <div class="col-md-4 yuanjiao">全市工程总数</div>
                            <div class="ibox shortcut">
                                <div id="divChart5" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang"   onclick="fntoyuqing()">
                            <div class="col-md-4 yuanjiao">今日暴雨</div>
                            <div class="ibox shortcut">
                                <div id="divChart1_1" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-7 yuanjiao">各水库可用水量</div>
                            <div class="ibox shortcut">
                                <div id="divChart2_1" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang" onclick="fntoshuiqing()">
                            <div class="col-md-6 yuanjiao">各水库蓄水量</div>
                            <div class="ibox shortcut">
                                <div id="divChart3_1" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-6 yuanjiao">监测站构成图</div>
                            <div class="ibox shortcut">
                                <div id="divChart4_1" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-6 yuanjiao">工程构成图</div>
                            <div class="ibox shortcut">
                                <div id="divChart5_1" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang" onclick="fntoyuqing()">
                            <div class="col-md-4 yuanjiao">今日降雨变化</div>
                            <div class="ibox shortcut">
                                <div id="divChart1_2" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-7 yuanjiao">各水库各月可用水量变化</div>
                            <div class="ibox shortcut">
                                <div id="divChart2_2" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>

                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-6 yuanjiao">各水库蓄水量变化</div>
                            <div class="ibox shortcut">
                                <div id="divChart3_2" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang">
                            <div class="col-md-6 yuanjiao">各区县构成图</div>
                            <div class="ibox shortcut">
                                <div id="divChart4_2" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="margin-top: 20px;">
                        <div class="col-md-12 kuang" >
                            <div class="col-md-6 yuanjiao">各区县构成</div>
                            <div class="ibox shortcut">
                                <div id="divChart5_2" style="width: 100%;height: 400px;"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script type="text/javascript" src="<%=basePath%>/resource/plugins/echarts/echarts-liquidfill.js"></script>
<script type="text/javascript">
    /*超汛预警*/
    var myChart1 = echarts.init(document.getElementById('divChart1'));
    var colors = ['#87c6b5', 'red'];
    option = {
        color: colors,

        title : {
            text: '',
            subtext:'单位:m',
            subtextStyle:{
                color: '#fff'
            },
            top:'10'
        },
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                crossStyle: {
                    color: '#999'
                }
            }
        },
        legend: {
            left: 'right',
            top:'20',
            textStyle:{
                color:'#fff',
                fontSize:14,
            },
            data:['警戒线']
        },
        xAxis: [
            {
                axisLabel: {
                    show: true,
                    textStyle: {
                        color: '#fff'
                    }
                },
                type: 'category',
                data: [],
                axisPointer: {
                    type: 'shadow'
                }
            }
        ],
        yAxis: [
            {
                type: 'value',
                min: 0,
                max: '',
                axisLabel: {
                    formatter: '{value}',
                    show: true,
                    textStyle: {
                        color: '#fff'
                    }
                }
            },
            {
                show:false,
                min: 0,
                max: '',
                type: 'value',
                name: ''
            }
        ],
        series: [
            {
                name:'水位',
                type:'bar',
                data:[]
            },
            {
                name:'警戒线',
                type:'line',
                yAxisIndex: 1,
                data:[]
            }
        ]
    };
    myChart1.setOption(option);
    var fnMyChart1=function() {
        $.get('<%=basePath%>/topic/water/floodAndDry/getxunqiyujing.action', function (result) {
            myChart1.setOption({
                xAxis : [{
                    data : result.data.names
                }],
                yAxis:[{
                    max:result.data.max
                },{
                    max:result.data.max
                }],
                series: [{
                    // 根据名字对应到相应的系列
                    data: result.data.waters
                },{
                    data: result.data.warnings
                }]
            });
        })
    }
    fnMyChart1();

    /*今日暴雨*/
    var myChart1_1 = echarts.init(document.getElementById('divChart1_1'));
    var colors = ['green', 'red'];
    option = {
      color: colors,

      title : {
          text: '',
          subtext:'单位:mm',
          subtextStyle:{
              color: '#fff'
          },
          top:'10'
      },
      tooltip: {
          trigger: 'axis',
          axisPointer: {
              crossStyle: {
                  color: '#999'
              }
          }
      },
      legend: {
          left: 'right',
          top:'20',
          textStyle:{
              color:'#fff',
              fontSize:14,
          },
          data:['警戒线']
      },
      xAxis: [
          {
              axisLabel: {
                  show: true,
                  textStyle: {
                      color: '#fff'
                  }
              },
              type: 'category',
              data: [],
              axisPointer: {
                  type: 'shadow'
              }
          }
      ],
      yAxis: [
          {
              type: 'value',
              name: '水量',
              min: 0,
              max: '',
              axisLabel: {
                  formatter: '{value}',
                  show: true,
                  textStyle: {
                      color: '#fff'
                  }
              }
          },
          {
              show:false,
              min: 0,
              max: '',
              type: 'value',
              name: ''
          }
      ],
      series: [
          {
              name:'降水量',
              type:'bar',
              data:[]
          },
          {
              name:'警戒线',
              type:'line',
              yAxisIndex: 1,
              data:[]
          }
      ]
  };
    myChart1_1.setOption(option);
    var fnMyChart1_1=function() {
      $.get('<%=basePath%>/topic/water/floodAndDry/getjinribaoyu.action', function (result) {
            myChart1_1.setOption({
                xAxis : [{
                    data : result.data.names
                }],
                yAxis:[{
                    max:result.data.max
                },{
                    max:result.data.max
                }],
                series: [{
                    // 根据名字对应到相应的系列
                    data: result.data.rains
                },{
                    data: result.data.warnings
                }]
            });
        })
    }
    fnMyChart1_1();

    /*今日降雨变化*/
    var myChart1_2 = echarts.init(document.getElementById('divChart1_2'));
    option = {
        title : {
            text: '',
            subtext:'单位: mm',
            subtextStyle:{
                color: '#fff'
            },
            top:'10'
        },
        tooltip: {
            trigger: 'axis'
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '3%',
            containLabel: true
        },
        xAxis: {
            axisLabel: {
                show: true,
                textStyle: {
                    color: '#fff'
                }
            },
            type: 'category',
            boundaryGap: false,
            data: []
        },
        yAxis: {
            axisLabel: {
                show: true,
                textStyle: {
                    color: '#fff'
                }
            },
            type: 'value'
        },
        series: [{
            data: [],
            type: 'line',
            smooth: true
        }]
    };
    myChart1_2.setOption(option);
    var fnMyChart1_2=function() {
        $.get('<%=basePath%>/topic/water/floodAndDry/getjinrijiangyubianhua.action', function (result) {
            myChart1_2.setOption({
                xAxis: {
                    data: result.data.names
                },
                series:[{
                    data:result.data.rains
                }]
            });
        })
    }
    fnMyChart1_2();



    /*全市可用水总量*/
    var myChart2 = echarts.init(document.getElementById('divChart2'));
    option = {
        series: [{
            name: '全市可用水总量',
            type: 'liquidFill',
            data:[],
            label: {
                normal: {
                    formatter: '{a}\n\n{b} 亿立方米',
                    textStyle: {
                        fontSize: 50,
                        fontStyle: 'normal'
                    }
                }
            },
            radius: '90%'
        }]
    };
    myChart2.setOption(option);
    var fnChart2=function(){
        $.get('<%=basePath%>/topic/water/floodAndDry/getquanshikeyongzongshuiliang.action').done(function (result) {
            myChart2.setOption({
                series: [{
                    data: [{
                        name:result.data,
                        value: 0.4
                    }, 0.5, 0.4, 0.3]
                }]
            });
        })
    }
    fnChart2();

    /*各水库可用水量*/
    var myChart2_1 = echarts.init(document.getElementById('divChart2_1'));
    var colors = ['green', 'red'];
    option = {
        color: colors,

        title : {
            text: '',
            subtext:'单位: 亿立方米',
            subtextStyle:{
                color: '#fff'
            },
            top:'10'
        },
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                crossStyle: {
                    color: '#999'
                }
            }
        },
        legend: {
            left: 'right',
            top:'20',
            textStyle:{
                color:'#fff',
                fontSize:14,
            }
        },
        xAxis: [
            {
                axisLabel: {
                    show: true,
                    textStyle: {
                        color: '#fff'
                    }
                },
                type: 'category',
                data: [],
                axisPointer: {
                    type: 'shadow'
                }
            }
        ],
        yAxis: [
            {
                type: 'value',
                name: '水量',
                min: 0,
                max: '',
                axisLabel: {
                    formatter: '{value}',
                    show: true,
                    textStyle: {
                        color: '#fff'
                    }
                }
            }
        ],
        series: [
            {
                name:'水量',
                type:'bar',
                data:[]
            }
        ]
    };
    myChart2_1.setOption(option);
    var fnMyChart2_1=function() {
        $.get('<%=basePath%>/topic/water/floodAndDry/getgeshuikukeyongshuiliang.action', function (result) {
            myChart2_1.setOption({
                xAxis : [{
                    data : result.data.names
                }],
                yAxis:[{
                    max:result.data.max
                }],
                series: [{
                    // 根据名字对应到相应的系列
                    data: result.data.values
                }]
            });
        })
    }
    fnMyChart2_1();

    /*各水库各月可用水量变化*/
    var myChart2_2 = echarts.init(document.getElementById('divChart2_2'));
    option = {
        title : {
            text: '',
            subtext:'单位: 亿立方米',
            subtextStyle:{
                color: '#fff'
            },
            top:'10'
        },
        tooltip: {
            trigger: 'axis'
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '3%',
            containLabel: true
        },
        xAxis: {
            axisLabel: {
                show: true,
                textStyle: {
                    color: '#fff'
                }
            },
            type: 'category',
            boundaryGap: false,
            data: ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
        },
        yAxis: {
            axisLabel: {
                show: true,
                textStyle: {
                    color: '#fff'
                }
            },
            type: 'value'
        },
        series: []
    };
    myChart2_2.setOption(option);
    var fnMyChart2_2=function() {
        $.get('<%=basePath%>/topic/water/floodAndDry/getshuikugeyueshuiliang.action', function (result) {
            var re=result.data.result;
            myChart2_2.setOption({
                series:re
            });
        })
    }
    fnMyChart2_2();



    /*全市蓄水总量*/
    var myChart3 = echarts.init(document.getElementById('divChart3'));
    option = {
        series: [{
            name: '全市蓄水总量',
            type: 'liquidFill',
            data:[],
            label: {
                normal: {
                    formatter: '{a}\n\n{b} 亿立方米',
                    textStyle: {
                        fontSize: 28,
                        fontStyle: 'normal'
                    }
                }
            },
            radius: '90%'
        }]
    };
    myChart3.setOption(option);
    var fnChart3=function(){
        $.get('<%=basePath%>/topic/water/floodAndDry/getquanshixushuizongliang.action').done(function (result) {
            myChart3.setOption({
                series: [{
                    data: [{
                        name:result.data,
                        value: 0.4
                    }, 0.5, 0.4, 0.3]
                }]
            });
        })
    }
    fnChart3();

    /*各水库蓄水量*/
    var myChart3_1 = echarts.init(document.getElementById('divChart3_1'));
    var colors = ['green', 'red'];
    option = {
        color: colors,

        title : {
            text: '',
            subtext:'单位: 亿立方米',
            subtextStyle:{
                color: '#fff'
            },
            top:'10'
        },
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                crossStyle: {
                    color: '#999'
                }
            }
        },
        legend: {
            left: 'right',
            top:'20',
            textStyle:{
                color:'#fff',
                fontSize:14,
            }
        },
        xAxis: [
            {
                axisLabel: {
                    show: true,
                    textStyle: {
                        color: '#fff'
                    }
                },
                type: 'category',
                data: [],
                axisPointer: {
                    type: 'shadow'
                }
            }
        ],
        yAxis: [
            {
                type: 'value',
                name: '水量',
                min: 0,
                max: '',
                axisLabel: {
                    formatter: '{value}',
                    show: true,
                    textStyle: {
                        color: '#fff'
                    }
                }
            }
        ],
        series: [
            {
                name:'水量',
                type:'bar',
                data:[]
            }
        ]
    };
    myChart3_1.setOption(option);
    var fnMyChart3_1=function() {
        $.get('<%=basePath%>/topic/water/floodAndDry/getgeshuikuxushuiliang.action', function (result) {
            myChart3_1.setOption({
                xAxis : [{
                    data : result.data.names
                }],
                yAxis:[{
                    max:result.data.max
                }],
                series: [{
                    // 根据名字对应到相应的系列
                    data: result.data.values
                }]
            });
        })
    }
    fnMyChart3_1();

    /*各水库蓄水量变化*/
    var myChart3_2 = echarts.init(document.getElementById('divChart3_2'));
    option = {
        title : {
            text: '',
            subtext:'单位: 亿立方米',
            subtextStyle:{
                color: '#fff'
            },
            top:'10'
        },
        tooltip: {
            trigger: 'axis'
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '3%',
            containLabel: true
        },
        xAxis: {
            axisLabel: {
                show: true,
                textStyle: {
                    color: '#fff'
                }
            },
            type: 'category',
            boundaryGap: false,
            data: ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
        },
        yAxis: {
            axisLabel: {
                show: true,
                textStyle: {
                    color: '#fff'
                }
            },
            type: 'value'
        },
        series: []
    };
    myChart3_2.setOption(option);
    var fnMyChart3_2=function() {
        $.get('<%=basePath%>/topic/water/floodAndDry/getgeshuikuxushuiliangbianhua.action', function (result) {
            var re=result.data.result;
            myChart3_2.setOption({
                series:re
            });
        })
    }
    fnMyChart3_2();


    /*全市监测站总数*/
    var myChart4= echarts.init(document.getElementById('divChart4'));
    option = {
        series: [{
            name: '',
            type: 'liquidFill',
            data:[],
            label: {
                normal: {
                    formatter: '{a}\n\n{b} 个',
                    textStyle: {
                        fontSize: 28,
                        fontStyle: 'normal'
                    }
                }
            },
            radius: '99%'
        }]
    };
    myChart4.setOption(option);
    var fnChart4=function(){
        $.get('<%=basePath%>/topic/water/floodAndDry/getquanshijianchezhanzongshu.action').done(function (result) {
            myChart4.setOption({
                series: [{
                    data: [{
                        name:result.data,
                        value: 1
                    }]
                }]
            });
        })
    }
    fnChart4();

    /*监测站构成图*/
    var myChart4_1= echarts.init(document.getElementById('divChart4_1'));
    option = {
        title : {
            text: '',
            x:'center'
        },
        tooltip : {
            trigger: 'item',
            formatter: "{a} <br/>{b} : {c} (个)"
        },
        legend: {
            textStyle:{
                color:'#fff',
                fontSize:14,
            },
            orient: 'vertical',
            x: 'right',
            top:5,
            data:[]
        },

        calculable : true,
        series : [
            {
                name:'',
                type:'pie',
                radius : [20, 110],
                center : ['45%', '50%'],
                roseType : 'area',
                label: {
                    normal: {
                        show: true
                    },
                    emphasis: {
                        show: true
                    }
                },
                lableLine: {
                    normal: {
                        show: true
                    },
                    emphasis: {
                        show: true
                    }
                },
                data:[]
            }
        ]
    };
    myChart4_1.setOption(option);
    var fnChart4_1=function(){
        $.get('<%=basePath%>/topic/water/floodAndDry/getjiancezhangouchengtu.action', function (result) {
            myChart4_1.setOption({
                legend: {
                    data:result.data.names
                },
                series:[{
                    data:result.data.list
                   /* {value:10, name:'rose1'},
                    {value:5, name:'rose2'},
                    {value:15, name:'rose3'},
                    {value:25, name:'rose4'},
                    {value:20, name:'rose5'},
                    {value:35, name:'rose6'},
                    {value:30, name:'rose7'},
                    {value:40, name:'rose8'}*/

                }]
            });
            myChart4_1.on('click', function (params) {
                fnChart4_2(params.name) ;
            });
        })
    }
    fnChart4_1();

    /*各区县构成图.监测站*/
    var type='雨量站';
    var myChart4_2= echarts.init(document.getElementById('divChart4_2'));
    option = {
        title : {
            text: ''
        },
        tooltip : {
            trigger: 'item',
            formatter: function(params){
                return params.data.name+':<br/>'+params.data.temp1+":("+params.data.value+"个)";
            }
        },
        legend: {
            textStyle:{
                color:'#fff',
                fontSize:14,
            },
            orient: 'vertical',
            left: 'right',
            data:''
        },
        series : [
            {
                name: '',
                type: 'pie',
                radius : '55%',
                center: ['40%', '60%'],
                label:{show:false},
                data:[],
                itemStyle: {
                    emphasis: {
                        shadowBlur: 10,
                        shadowOffsetX: 0,
                        shadowColor: 'rgba(0, 0, 0, 0.5)'
                    }
                }
            }
        ]
    };
    myChart4_2.setOption(option);
    var fnChart4_2=function(type){
        $.get('<%=basePath%>/topic/water/floodAndDry/getgeqvxianguochengtu.action',{stationType:type},function (result) {
            myChart4_2.setOption({
                legend: {
                    data:result.data.names
                },
                series:[{
                    data:result.data.list
                }]
            });
        })
    }
   fnChart4_2(type);



    /*全市工程总数*/
    var myChart5= echarts.init(document.getElementById('divChart5'));
    option = {
        series: [{
            name: '',
            type: 'liquidFill',
            data:[],
            label: {
                normal: {
                    formatter: '{a}\n\n{b} 个',
                    textStyle: {
                        fontSize: 28,
                        fontStyle: 'normal'
                    }
                }
            },
            radius: '99%'
        }]
    };
    myChart5.setOption(option);
    var fnChart5=function(){
        $.get('<%=basePath%>/topic/water/floodAndDry/getquanshigongchengzongshu.action').done(function (result) {
            myChart5.setOption({
                series: [{
                    data: [{
                        name:result.data,
                        value: 1
                    }]
                }]
            });
        })
    }
    fnChart5();


    /*工程构成图*/
    var myChart5_1= echarts.init(document.getElementById('divChart5_1'));
    option = {
        title : {
            text: '',
            x:'center'
        },
        tooltip : {
            trigger: 'item',
            formatter: "{a} <br/>{b} : {c} (个)"
        },
        legend: {
            textStyle:{
                color:'#fff',
                fontSize:14,
            },
            orient: 'vertical',
            x: 'right',
            top:5,
            data:[]
        },

        calculable : true,
        series : [
            {
                name:'',
                type:'pie',
                radius : [20, 110],
                center : ['45%', '50%'],
                roseType : 'area',
                label: {
                    normal: {
                        show: true
                    },
                    emphasis: {
                        show: true
                    }
                },
                lableLine: {
                    normal: {
                        show: true
                    },
                    emphasis: {
                        show: true
                    }
                },
                data:[]
            }
        ]
    };
    myChart5_1.setOption(option);
    var fnChart5_1=function(){
        $.get('<%=basePath%>/topic/water/floodAndDry/getgongchengguozaotu.action', function (result) {
            myChart5_1.setOption({
                legend: {
                    data:result.data.names
                },
                series:[{
                    data:result.data.list
                }]
            });
            myChart5_1.on('click', function (params) {
                fnChart5_2(params.name) ;
            });
        })
    }
    fnChart5_1();

    /*各区县构成图.工程*/
    var projectType='水库'
    var myChart5_2= echarts.init(document.getElementById('divChart5_2'));
    option = {
        title : {
            text: ''
        },
        tooltip : {
            trigger: 'item',
            formatter: function(params){
                return params.data.name+':<br/>'+params.data.temp1+":("+params.data.value+"个)";
            }
        },
        legend: {
            textStyle:{
                color:'#fff',
                fontSize:14,
            },
            orient: 'vertical',
            left: 'right',
            data:''
        },
        series : [
            {
                name: '',
                type: 'pie',
                radius : '55%',
                center: ['40%', '60%'],
                label:{show:false},
                data:[],
                itemStyle: {
                    emphasis: {
                        shadowBlur: 10,
                        shadowOffsetX: 0,
                        shadowColor: 'rgba(0, 0, 0, 0.5)'
                    }
                }
            }
        ]
    };
    myChart5_2.setOption(option);
    var fnChart5_2=function(projectType){
        $.get('<%=basePath%>/topic/water/floodAndDry/getqvxiangongchenggouzaotu.action',{projectType:projectType}, function (result) {
            myChart5_2.setOption({
                legend: {
                    data:result.data.names
                },
                series:[{
                    data:result.data.list
                }]
            });
        })
    }
    fnChart5_2(projectType);


    function fntoshuiqing() {
       window.location.href="<%=basePath%>/topic/water/shuiqing/index.htm"
    }
     function fntoyuqing() {
       window.location.href="<%=basePath%>/topic/water/yuqing/index.htm"
    }
     function fntohanqing() {
       window.location.href="<%=basePath%>/topic/water/hanqing/index.htm"
    }
    function fntogongqing() {
       window.location.href="<%=basePath%>/topic/water/gongqing/index.htm"
    }

</script>

</html>