package com.lightinit.hsdatashow.model;

/**
 * Created by WangYao on 2018/5/21.
 */
public class   ResultStateCode {
    public static final int SUCCESS = 200;                    // 成功

    public static final int INVALID_DATA = 400;              // 非法数据
    public static final int UNAUTHORIZED = 402;
    public static final int NO_PERMISSION = 403;             // 没有权限

    public static final int INVALID_ACCOUNT_PWD = 461;
    public static final int ACCOUNT_LOCKOUT = 462;
    public static final int INVALID_TOKEN = 463;
    public static final int EXPIRED_TOKEN = 464;

    public static final int DATA_NULL = 465;                       // 数据为空
    public static final int DATA_TYPE_PARSE_ERROR = 466;             // 数据类型转换错误

    public static final int DB_ERROR = 561;                  // 数据库错误
    public static final int DATA_ITEM_NOT_EXIST = 562;               // 数据不存在
    public static final int PRIMARY_KEY_EXISTING = 563;             // 主键已存在
    public static final int FOREIGN_KEY_LIMIT = 564;                // 外键限制

    public static final int UNKNOWN_ERROR = 500;              // 未知错误
}
