<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>年份</th>
            <th>区域</th>
            <th>垃圾无害化排名</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td>${item.dataYear}</td>
                        <td>${item.regionName}</td>
                        <td>${item.quantity}</td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.id}" />
                            <input type="hidden" name="regionId" value="${item.regionId}" />
                            <button name="btnEdit" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>编辑</button>
                            <button name="btnDelete" class="btn btn-sm btn-danger m-r-sm"><i class="fa fa-trash-o"></i>删除</button>
                            <%--<button name="btnDetail" class="btn btn-sm btn-info m-r-sm"><i class="fa fa-check"></i>详情</button>--%>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnEdit']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            var type ="农村生活垃圾无害化排名";
            $.popBsPartial({ url: "<%=basePath%>/ms/countryside/buildAdd.htm?id=" + id +"&type="+type});
        })
        .on("click", "button[name='btnDelete']", function() {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            var regionId = $(this).parent().children("input[type='hidden'][name='regionId']").val();
            var type ="农村生活垃圾无害化排名";
            $.delWithConfirm({ func: $.ajaxGetRefresh, funcArgs: { ajaxGetOptions: { url: "<%=basePath%>/ms/countryside/delBuild.action?id=" + id +"&regionId="+regionId +"&type="+type} } });
        })
        <%--.on("click", "button[name='btnDetail']", function () {--%>
            <%--var id = $(this).parent().children("input[type='hidden'][name='id']").val();--%>
            <%--$.popBsPartial({ url: "<%=basePath%>/admin/service_provider/toDetail.htm/" + id });--%>
        <%--});--%>
<%--function detail(id) {--%>
    <%--$.popBsPartial({ url: "<%=basePath%>/admin/service_provider/toDetail.htm/" + id });--%>
<%--}--%>
</script>