<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="新增"/></jsp:include>
<form id="formAdd" action="<%=basePath%>/ms/waterQuality/add.action" method="post" role="form">
    <input type="hidden" name="id" value="${outputModel.id}"/>
    <input type="hidden" name="regionId" value="${outputModel.regionId}"/>
    <div class="form-group">
        <label for="regionName">区域</label>
        <input type="text" id="regionName" name="regionName" value="${outputModel.regionName}" class="form-control" />
        <span class="help-block"></span>
    </div>

    <div class="form-group">
        <div >
            <label for="quantity">达标水量</label>
            <input id="quantity" name="quantity" value="${outputModel.quantity}" class="form-control"></input>
            <span class="help-block"></span>
        </div>
    </div>

    <div class="form-group">
        <div >
            <label for="quantityNo">未达标水量</label>
            <input id="quantityNo" name="quantityNo" value="${outputModel.quantityNo}" class="form-control"></input>
            <span class="help-block"></span>
        </div>
    </div>

</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>保存</button>
<script type="text/javascript">
    $("#btnSave").click(function() {
        $('#formAdd').ajaxSubmitCloseRefresh();
    });

    $(".input-group.date").datetimepicker({
        format: "YYYY-MM-DD",
        locale: "zh-cn"
    });
</script>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>